Bug 603780 - blackscreen on psb/exa_classic, fix available upstream 1.7
blackscreen on psb/exa_classic, fix available upstream 1.7
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 11:02 EDT by DH
Modified: 2010-12-03 08:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:52:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (52 bytes, text/plain)
2010-06-14 11:07 EDT, DH
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 28077 None None None Never

  None (edit)
Description DH 2010-06-14 11:02:57 EDT
Description of problem:
Use of intel psb hardware and driver results in blackscreen unless ShadowFB enabled, which disabled 3D and video acceleration.

Version-Release number of selected component (if applicable):
1.8.0-12.fc13 and older, also all xserver 1.7 affecting Fedora 12.

How reproducible:
Always

Steps to Reproduce:
1. Install intel psb driver
2. start X
  
Actual results:
Black screen

Expected results:
See stuff, opengl accel works, video decode / vaapi works.

Additional info:
http://lists.x.org/archives/xorg-devel/2010-June/010042.html
http://lists.x.org/archives/xorg-devel/2010-June/010081.html
https://bugs.freedesktop.org/show_bug.cgi?id=28077

The bug was introduced after xserver 1.6. All versions of xserver 1.7 and 1.8 up to and including the one in Fedora 13 are affected.
Comment 1 DH 2010-06-14 11:07:42 EDT
Created attachment 423863 [details]
Patch
Comment 2 DH 2010-06-14 11:08:56 EDT
Comment on attachment 423863 [details]
Patch

Original patch by Yves De Muyter, fixed by Adam Williamson
Comment 3 DH 2010-06-14 11:14:30 EDT
Comment on attachment 423863 [details]
Patch

Original patch by Yves De Muyter, fixed by Adam Williamson
Comment 4 DH 2010-06-23 10:34:34 EDT
It looks like there was an xorg-server pushed on the 18th to updates/testing, but it doesn't include this patch.
Comment 5 DH 2010-07-07 08:37:37 EDT
New xserver for F13 is fixed, F12 is still out.
Comment 6 Bug Zapper 2010-11-03 09:13:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-03 08:52:30 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.